Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.slice
Class Slice

    java.lang.Object
      org.apache.openjpa.slice.Slice

All Implemented Interfaces:
  Serializable, Comparable<Slice>

    public class Slice

extends Object
implements Comparable<Slice>, Serializable

Represents a database slice of immutable logical name, a configuration and status. A Slice is uniquely identified by its logical name.

Author:
  Pinaki Poddar
See Also:
  Serialized Form

Nested Class Summary
`static class` | `Slice.Status`

Constructor Summary
`Slice(String name, OpenJPAConfiguration conf)` Supply the logical name and configuration.

Method Summary
`int` | `compareTo(Slice other)`
`boolean` | `equals(Object other)` Equals by name.
`OpenJPAConfiguration` | `getConfiguration()`
`String` | `getName()` Gets the immutable logical name.
`Slice.Status` | `getStatus()`
`int` | `hashCode()`
`boolean` | `isActive()`
`void` | `setStatus(Slice.Status status)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Slice

    public Slice(String name,
                 OpenJPAConfiguration conf)

  Supply the logical name and configuration.

Method Detail

### getName

    public String getName()

  Gets the immutable logical name.

### getConfiguration

    public OpenJPAConfiguration getConfiguration()

### getStatus

    public Slice.Status getStatus()

### setStatus

    public void setStatus(Slice.Status status)

### isActive

    public boolean isActive()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### compareTo

    public int compareTo(Slice other)

  Specified by:
    `compareTo` in interface `Comparable<Slice>`

### equals

    public boolean equals(Object other)

  Equals by name.

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.